/* $HeadURL$
* $LastChangedRevision$
* $LastChangedDate$
* $LastChangedBy$
*
* Description: Deklarationen zum Thema Clockfunktionen
* Uhrzeit-Struktur ( todo: doppelt in dcf77.h) 
* Set und Anzeigefunktionen 
*
*/

/*
Copyright (C) 2012 G. Herzig / DH8GHH

This program is free software; you can redistribute it and/or modify it
under the terms of the GNU General Public License as published by the
Free Software Foundation; either version 3 of the License,
or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, see <http://www.gnu.org/licenses/>
*/

#ifndef CLOCK_H
#define CLOCK_H

#include <stdint.h>
#include <stdbool.h>

typedef struct time_t
{
	uint8_t msec;
    uint8_t sekunde;
    uint8_t minute;
    uint8_t stunde;
    uint8_t day;
    uint8_t day_of_week;
    uint8_t month;
    uint8_t year;
    uint8_t mesz;
} time_t;

extern time_t time;				// Uhrzeitregister

extern bool time_update;		// Globales Flag ob es was neues anzuzeigen gibt

void SetTimeHour(void);			// Uhrzeit Stunde erhhen
void SetTimeMinute(void);		// Uhrzeit Minute erhhen
void DisplayTime(void);			// Uhrzeit anzeigen

void SetAlarmHour(void);		// Alarmzeit Stunde erhhen
void SetAlarmMinute(void);		// Alarmzeit Minute erhhen
void DisplayAlarmMode(void);	// AlarmMode anzeigen
void DisplayAlarmTime(void);	// Alarmzeit anzeigen

void SetUtcPlus(void);			// UTC-Offset erhhen
void SetUtcMinus(void);			// UTC-Offset verringern
void DisplayUtcOffset(void);	// UTC-Offset anzeigen
void DisplayUtcMode(void);		// Zeitzone anzeigen

void SetLdrPlus(void);			// LDR Wert vergrssern
void SetLdrMinus(void);			// LDR Wert verkleinern
void DisplayLdrValue(void);		// LDR-Wert anzeigen

void DisplayDate(void);			// Zeigt den Inhalt der Datumsfelder an
void DisplaySyncSndMode(void);	// Zeigt den Zustand des DCF-Beep Flags an

#endif // CLOCK_H